package com.ytpm.middle.dao;

import com.ytpm.middle.model.YtMiddleEnterprise;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

@Mapper
public interface EnterpriseMapper {
    /**
     * 新增企业
     */
    int insertOne(YtMiddleEnterprise enterprise);

    /**
     * 企业信用代码查询企业
     */
    YtMiddleEnterprise getByCode(@Param("creditCode") String creditCode);

    /**
     * 修改企业
     */
    void updateById(YtMiddleEnterprise enterprise);
    /**
     * 统计入驻的企业数
     */
    int countEnterprise();

    YtMiddleEnterprise selectPrimary(@Param("enterpriseId")String enterpriseId);
}
